﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class ReportRequestViewModel
    {
        [JsonPropertyName("StartDate")]
        public string StartDate { get; set; }

        [JsonPropertyName("EndDate")]
        public string EndDate { get; set; }

        [JsonPropertyName("StartTime")]
        public int StartTime { get; set; }

        [JsonPropertyName("EndTime")]
        public int EndTime { get; set; }

        [JsonPropertyName("Sites")]
        public List<string> Sites { get; set; }
    }

    public class ReportEventType1ViewModel
    {
        /// <summary>
        /// 違規時間
        /// </summary>
        [JsonPropertyName("DateTime")]
        public string DateTime { get; set; }

        /// <summary>
        /// 汽車
        /// </summary>
        [JsonPropertyName("CarCount")]
        public int CarCount { get; set; }

        /// <summary>
        /// 機車
        /// </summary>
        [JsonPropertyName("MotorcycleCount")]
        public int MotorcycleCount { get; set; }

        /// <summary>
        /// 計程車
        /// </summary>
        [JsonPropertyName("TaxiCount")]
        public int TaxiCount { get; set; }

        /// <summary>
        /// 公車
        /// </summary>
        [JsonPropertyName("BusCount")]
        public int BusCount { get; set; }

        /// <summary>
        /// 有車牌
        /// </summary>
        [JsonPropertyName("HasNumber")]
        public int HasNumber { get; set; }

        /// <summary>
        /// 無車牌
        /// </summary>
        [JsonPropertyName("HasNoNumber")]
        public int HasNoNumber { get; set; }
    }

    public class ReportEventType2ViewModel
    {
        /// <summary>
        /// 時速
        /// </summary>
        [JsonPropertyName("Speed")]
        public string Speed { get; set; }

        /// <summary>
        /// 違規數量
        /// </summary>
        [JsonPropertyName("Count")]
        public int Count { get; set; }
    }


    public class ReportEventType34ViewModel
    {
        /// <summary>
        /// 汽車
        /// </summary>
        [JsonPropertyName("CarCount")]
        public int CarCount { get; set; }

        /// <summary>
        /// 貨車
        /// </summary>
        [JsonPropertyName("TruckCount")]
        public int TruckCount { get; set; }

        /// <summary>
        /// 大客車
        /// </summary>
        [JsonPropertyName("CoachCount")]
        public int CoachCount { get; set; }
    }

    public class ReportEventType6ViewModel
    {
        /// <summary>
        /// 噸數
        /// </summary>
        [JsonPropertyName("Ton")]
        public string Ton { get; set; }

        /// <summary>
        /// 違規數量
        /// </summary>
        [JsonPropertyName("Count")]
        public int Count { get; set; }
    }
}
