﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface IRolePageRepository
    {
        public IEnumerable<RolePage> GetRolePages();
        public IEnumerable<RolePage> GetRolePageByRoleId(int id);
        public bool InsertRolePage(List<RolePage> RoleId);
        public bool InsertRolePage(RolePage rolePage);
        public bool UpdateRolePage(RolePage rolePage);
        public bool DeleteRolePage(int id);

        public IEnumerable<JoinRolePageInfo> GetRolePermissionInfo(int? roleid);
        public IEnumerable<JoinRolePageList> GetRolePageLists(int roleid);

        public IEnumerable<PageList> GetPageLists();
        public PageList GetPageListById(int id);
        public bool InsertPageList(PageList company);
        public bool UpdatePageList(PageList company);
        public bool DeletePageList(int id);
    }
}
